org.apache.calcite.avatica.remote

## Class Service.Request

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request

Direct Known Subclasses:
  Service.CatalogsRequest, Service.CloseConnectionRequest, Service.CloseStatementRequest, Service.ColumnsRequest, Service.CommitRequest, Service.ConnectionSyncRequest, Service.CreateStatementRequest, Service.DatabasePropertyRequest, Service.ExecuteBatchRequest, Service.ExecuteRequest, Service.FetchRequest, Service.OpenConnectionRequest, Service.PrepareAndExecuteBatchRequest, Service.PrepareAndExecuteRequest, Service.PrepareRequest, Service.RollbackRequest, Service.SchemasRequest, Service.SyncResultsRequest, Service.TablesRequest, Service.TableTypesRequest, Service.TypeInfoRequest

Enclosing interface:
  Service

    public abstract static class Service.Request
    extends Service.Base

Base class for all service request messages.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`Service.Request()`

### Method Summary

Methods
`(package private) abstract Service.Response` `accept(Service service)`
`(package private) abstract Service.Request` `deserialize(com.google.protobuf.Message genericMsg)`
`(package private) abstract com.google.protobuf.Message` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Service.Request

    public Service.Request()

### Method Detail

#### accept

    abstract Service.Response accept(Service service)

#### deserialize

    abstract Service.Request deserialize(com.google.protobuf.Message genericMsg)

#### serialize

    abstract com.google.protobuf.Message serialize()